FROM moxm/java:1.8-full

RUN mkdir -p /dlp-entrustment

WORKDIR /dlp-entrustment

ARG JAR_FILE=target/dlp-entrustment.jar

COPY ${JAR_FILE} app.jar

EXPOSE 5203

ENV TZ=Asia/Shanghai JAVA_OPTS="-Xms128m -Xmx256m -Djava.security.egd=file:/dev/./urandom"

CMD sleep 60; java -jar app.jar $JAVA_OPTS
